{
    "doc": "A sample where there was a failure in collection.\nNote: since the sample failed at collection, there is no sample ID.",
    "fields": [
        {
            "doc": "List of reasons for failure in collection",
            "name": "reasonsForCollectionFailure",
            "type": [
                "null",
                {
                    "items": "string",
                    "type": "array"
                }
            ]
        },
        {
            "doc": "Source of the sample",
            "name": "source",
            "type": [
                "null",
                {
                    "doc": "The source of the sample\nNOTE: IN GMS, BONE_MARROW_ASPIRATE_TUMOUR_CELLS and BONE_MARROW_ASPIRATE_TUMOUR_SORTED_CELLS are deprecated as they have been separated into their respective biotypes",
                    "name": "SampleSource",
                    "symbols": [
                        "AMNIOTIC_FLUID",
                        "BLOOD",
                        "BLOOD_CAPILLARY_HEEL_PRICK",
                        "BLOOD_CLOT",
                        "BLOOD_CORD",
                        "BLOOD_DRIED_BLOOD_SPOT",
                        "BONE_MARROW",
                        "BONE_MARROW_ASPIRATE_TUMOUR_CELLS",
                        "BONE_MARROW_ASPIRATE_TUMOUR_SORTED_CELLS",
                        "BUCCAL_SPONGE",
                        "BUCCAL_SWAB",
                        "BUFFY_COAT",
                        "CHORIONIC_VILLUS_SAMPLE",
                        "FIBROBLAST",
                        "FLUID",
                        "FRESH_TISSUE_IN_CULTURE_MEDIUM",
                        "OTHER",
                        "SALIVA",
                        "TISSUE",
                        "TUMOUR",
                        "URINE"
                    ],
                    "type": "enum"
                }
            ]
        },
        {
            "doc": "Product of the sample",
            "name": "product",
            "type": [
                "null",
                {
                    "name": "Product",
                    "symbols": [
                        "DNA",
                        "RNA"
                    ],
                    "type": "enum"
                }
            ]
        },
        {
            "doc": "Participant Id of the sample",
            "name": "participantId",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "doc": "Participant UId of the sample",
            "name": "participantUid",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "doc": "Masked PID of the sample, if used",
            "name": "maskedPid",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "doc": "This is the unmodified sampleType value (e.g. cord_blood) entered by the clinician",
            "name": "sampleType",
            "type": [
                "null",
                "string"
            ]
        }
    ],
    "name": "FailedCollectionSample",
    "namespace": "org.gel.models.participant.avro",
    "type": "record"
}